## org.gnu.gtk.event
Class MouseEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.MouseEvent.Type

Enclosing class:
  MouseEvent

public static class MouseEvent.Type
extends EventType

Field Summary
`static MouseEvent.Type` `BUTTON_PRESS` This event indicates that a mouse button has been pressed
`static MouseEvent.Type` `BUTTON_RELEASE` This event indicates that a mouse button has been released
`static MouseEvent.Type` `ENTER` This event indicates that the mouse has enter the widget.
`static MouseEvent.Type` `LEAVE` This event indicates that the mouse has left the widget.
`static MouseEvent.Type` `WHEEL_SCROLL` This event idicates that a mouse wheel was scrolled either up or down.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTER

    public static final MouseEvent.Type ENTER

  This event indicates that the mouse has enter the widget.

### LEAVE

    public static final MouseEvent.Type LEAVE

  This event indicates that the mouse has left the widget.

### BUTTON_PRESS

    public static final MouseEvent.Type BUTTON_PRESS

  This event indicates that a mouse button has been pressed

### BUTTON_RELEASE

    public static final MouseEvent.Type BUTTON_RELEASE

  This event indicates that a mouse button has been released

### WHEEL_SCROLL

    public static final MouseEvent.Type WHEEL_SCROLL

  This event idicates that a mouse wheel was scrolled either up or down.